@echo OFF
rem  * *******************************************************************
rem  *          admGenrForVRECCP03.CMD - a Windows Command File          *
rem  *         This program is provided by SimoTime Enterprises          *
rem  *           (C) Copyright 1987-2013 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This job will call the SIMOCOMP.cmd to generate a compare program
rem  * using the name specified in the first parameter.
rem  *
rem  * This procedure calls the following Windows Command Files.
rem  * 1. ENV1BASE.cmd - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SIMONOTE.cmd - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * 3. SIMOCOMP.cmd - this will do the actual source code generation
rem  *    of programs that will do a data file compare.
rem  * ******************************************************************* 
     call ..\Env1Base
     set CmdName=admGenrForVRECCP03
rem  *
     call SimoNOTE "***********************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
rem  * Set the environment variable to use the default directives file.
     set AOK_Count=0
     set NOK_Count=0
     set SIMOGENS=PAUSE
     set SIMODROP=Y
     set UTCOBCPY=%BASELIB1%\CobCpy1
     set UTHTMLIB=%BASELIB1%\HTML
     set UTGENGET=%BASELIB1%\COMPARES
     set UTGENPUT=%BASELIB1%\GENS\COMPARES
     call SIMOCOMP VREC8003
rem  *
     call SimoNOTE "AOKcount Compile Count for AOK is %AOK_Count% "
     call SimoNOTE "NOKcount Compile Count for NOK is %NOK_Count% "
     call SimoNOTE "Finished JobName %CmdName%.CMD "
     if not "%SimoGENS%" == "BATCH" pause